DELETE /api/v3/rate/{rateId}/version/{versionId}

Delete a version of a rate schedule

DeleteRateVersionV3 Permissions: RateSchedules (Edit)

Validation

  • The last remaining rate version may not be deleted

Other Remarks

  • When a rate version is deleted, if there is a preceding rate version, then its end date will be reset to the end date of the deleted rate version.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
rateId Unique identifier of the rate schedule to which the version being deleted belongs integer (int32) Required
versionId Unique identifier of the rate schedule version to delete integer (int32) Required

Responses

204 No Content The request succeeded. No content is returned in the response body.